> For the complete documentation index, see [llms.txt](https://docs.roomle.com/rubens/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/skin.md).

# Skin

\#SkinController

### Overview

* [PUT /id](#put-skinid)

### Description

Path /v2/skins/

Handles all requests regarding skin: creating, updating, deleting.

#### Skin JSON object

An example for a skin json object.

```
{
        "id":7, 
        "tenant":2, 
        "ciColor":"0xCB0112",
        "btnColorLight":"0x00ae6c",
        "btnColorDark":"0x009d60", 
        "mailHeaderImage":"https://path/to/some/image/header.jpg",
        "mailBackgroundColor":"#a1c0ae", 
        "tenantUrl":"www.someclient.at",
        "mailTemplatePath":"http://some/unknow/path/", 
        "loginBackground":"http://path/to/some/image/image.png",
        "referralUrl":"http://rtest.url.com",
        "hideMadeByRoomle":false,
        "hidePressLink":true,
        "hideShareButton":true,
        "hideFeedbackButton":true, 
            "hideCatalogOverview":false,
            "catalogEntryTags":["tag1","tag2"]" 
}
```

#### fields

* id : identifies the skin
* tenant : the tenant of skin
* ciColor : ?
* btnColorLight : button light color
* btnColorDark : button dark color
* mailHeaderImage : mail header image
* mailBackgroundColor : mail background image
* tenantUrl : tenant web url
* mailTemplatePath : path to mail template
* loginBackground : path to login background image
* referralUrl : referral url
* hideMadeByRoomle : hides made by roomle
* hidePressLink : hides press link
* hidesShareButton : hides share button
* hideFeedbackButton : hides feedback button
* hideCatalogOverview : hides catalog overview
* catalogEntryTags : catalog entry tags(categories)

### API Reference

#### PUT /skinId

Accepts: multipart-formdata

Generates: json

Update skin from tenant.

* Must be admin

Response:

```
{
    "skin": <updatedSkinJsonObject>
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.roomle.com/rubens/rest-api/rest-api-reference/endpoints/skin.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
